<?php
/** @var array $config */

$dbConf = $config['db'];
try {
    $pdo = new PDO(
        "mysql:host={$dbConf['host']};dbname={$dbConf['name']};charset=utf8mb4",
        $dbConf['user'],
        $dbConf['pass'],
        [
            PDO::ATTR_ERRMODE => PDO::ERRMODE_EXCEPTION,
            PDO::ATTR_DEFAULT_FETCH_MODE => PDO::FETCH_ASSOC,
        ]
    );
} catch (PDOException $e) {
    json_error('No se pudo conectar a la base de datos.', 500);
}

return $pdo;
